nxt.http.callers

## Class CreatePollCall

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<CreatePollCall>
    - - nxt.http.callers.CreatePollCall

-     public class CreatePollCall
      extends CreateTransactionCallBuilder<CreatePollCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CreatePollCall` | `create()`
    `CreatePollCall` | `description(java.lang.String description)`
    `CreatePollCall` | `finishHeight(long finishHeight)`
    `CreatePollCall` | `holding(long holding)`
    `CreatePollCall` | `holding(java.lang.String holding)`
    `CreatePollCall` | `maxNumberOfOptions(long maxNumberOfOptions)`
    `CreatePollCall` | `maxRangeValue(long maxRangeValue)`
    `CreatePollCall` | `minBalance(long minBalance)`
    `CreatePollCall` | `minBalanceModel(byte minBalanceModel)`
    `CreatePollCall` | `minNumberOfOptions(long minNumberOfOptions)`
    `CreatePollCall` | `minRangeValue(long minRangeValue)`
    `CreatePollCall` | `name(java.lang.String name)`
    `CreatePollCall` | `option00(java.lang.String option00)`
    `CreatePollCall` | `option01(java.lang.String option01)`
    `CreatePollCall` | `option02(java.lang.String option02)`
    `CreatePollCall` | `votingModel(byte votingModel)`

    - ### Methods inherited from class nxt.http.callers.CreateTransactionCallBuilder

      `broadcast, compressMessageToEncrypt, compressMessageToEncryptToSelf, deadline, ecBlockHeight, ecBlockId, ecBlockId, encryptedMessageData, encryptedMessageData, encryptedMessageIsPrunable, encryptedMessageNonce, encryptedMessageNonce, encryptToSelfMessageData, encryptToSelfMessageData, encryptToSelfMessageNonce, encryptToSelfMessageNonce, feeNQT, message, messageIsPrunable, messageIsText, messageToEncrypt, messageToEncryptIsText, messageToEncryptToSelf, messageToEncryptToSelfIsText, phased, phasingFinishHeight, phasingHashedSecret, phasingHashedSecretAlgorithm, phasingHolding, phasingHolding, phasingLinkedFullHash, phasingLinkedFullHash, phasingMinBalance, phasingMinBalanceModel, phasingQuorum, phasingVotingModel, phasingWhitelisted, publicKey, publicKey, recipientPublicKey, recipientPublicKey, referencedTransactionFullHash, referencedTransactionFullHash, secretPhrase`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static CreatePollCall create()

    - #### minRangeValue

          public CreatePollCall minRangeValue(long minRangeValue)

    - #### votingModel

          public CreatePollCall votingModel(byte votingModel)

    - #### description

          public CreatePollCall description(java.lang.String description)

    - #### holding

          public CreatePollCall holding(java.lang.String holding)

    - #### holding

          public CreatePollCall holding(long holding)

    - #### minNumberOfOptions

          public CreatePollCall minNumberOfOptions(long minNumberOfOptions)

    - #### minBalance

          public CreatePollCall minBalance(long minBalance)

    - #### finishHeight

          public CreatePollCall finishHeight(long finishHeight)

    - #### name

          public CreatePollCall name(java.lang.String name)

    - #### maxNumberOfOptions

          public CreatePollCall maxNumberOfOptions(long maxNumberOfOptions)

    - #### option01

          public CreatePollCall option01(java.lang.String option01)

    - #### minBalanceModel

          public CreatePollCall minBalanceModel(byte minBalanceModel)

    - #### option02

          public CreatePollCall option02(java.lang.String option02)

    - #### option00

          public CreatePollCall option00(java.lang.String option00)

    - #### maxRangeValue

          public CreatePollCall maxRangeValue(long maxRangeValue)